<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<!-- NewPage -->
<html lang="en">
<head>
<!-- Generated by javadoc (1.8.0_131) on Tue Aug 01 04:46:27 EDT 2017 -->
<meta http-equiv="Content-Type" content="text/html; charset=UTF-8">
<title>Uses of Interface org.eclipse.papyrus.MARTE.MARTE_Foundations.GRM.SchedulableResource (org.eclipse.papyrus.marte.static.profile 1.2.2 API)</title>
<meta name="date" content="2017-08-01">
<link rel="stylesheet" type="text/css" href="../../../../../../../stylesheet.css" title="Style">
<script type="text/javascript" src="../../../../../../../script.js"></script>
</head>
<body>
<script type="text/javascript"><!--
    try {
        if (location.href.indexOf('is-external=true') == -1) {
            parent.document.title="Uses of Interface org.eclipse.papyrus.MARTE.MARTE_Foundations.GRM.SchedulableResource (org.eclipse.papyrus.marte.static.profile 1.2.2 API)";
        }
    }
    catch(err) {
    }
//-->
</script>
<noscript>
<div>JavaScript is disabled on your browser.</div>
</noscript>
<!-- ========= START OF TOP NAVBAR ======= -->
<div class="topNav"><a name="navbar.top">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.top" title="Skip navigation links">Skip navigation links</a></div>
<a name="navbar.top.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../../../../../../overview-summary.html">Overview</a></li>
<li><a href="../package-summary.html">Package</a></li>
<li><a href="../../../../../../../org/eclipse/papyrus/MARTE/MARTE_Foundations/GRM/SchedulableResource.html" title="interface in org.eclipse.papyrus.MARTE.MARTE_Foundations.GRM">Class</a></li>
<li class="navBarCell1Rev">Use</li>
<li><a href="../package-tree.html">Tree</a></li>
<li><a href="../../../../../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../../../../../index-all.html">Index</a></li>
<li><a href="../../../../../../../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li>Prev</li>
<li>Next</li>
</ul>
<ul class="navList">
<li><a href="../../../../../../../index.html?org/eclipse/papyrus/MARTE/MARTE_Foundations/GRM/class-use/SchedulableResource.html" target="_top">Frames</a></li>
<li><a href="SchedulableResource.html" target="_top">No&nbsp;Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_top">
<li><a href="../../../../../../../allclasses-noframe.html">All&nbsp;Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_top");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<a name="skip.navbar.top">
<!--   -->
</a></div>
<!-- ========= END OF TOP NAVBAR ========= -->
<div class="header">
<h2 title="Uses of Interface org.eclipse.papyrus.MARTE.MARTE_Foundations.GRM.SchedulableResource" class="title">Uses of Interface<br>org.eclipse.papyrus.MARTE.MARTE_Foundations.GRM.SchedulableResource</h2>
</div>
<div class="classUseContainer">
<ul class="blockList">
<li class="blockList">
<table class="useSummary" border="0" cellpadding="3" cellspacing="0" summary="Use table, listing packages, and an explanation">
<caption><span>Packages that use <a href="../../../../../../../org/eclipse/papyrus/MARTE/MARTE_Foundations/GRM/SchedulableResource.html" title="interface in org.eclipse.papyrus.MARTE.MARTE_Foundations.GRM">SchedulableResource</a></span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colFirst" scope="col">Package</th>
<th class="colLast" scope="col">Description</th>
</tr>
<tbody>
<tr class="altColor">
<td class="colFirst"><a href="#org.eclipse.papyrus.MARTE.MARTE_AnalysisModel.GQAM">org.eclipse.papyrus.MARTE.MARTE_AnalysisModel.GQAM</a></td>
<td class="colLast">&nbsp;</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><a href="#org.eclipse.papyrus.MARTE.MARTE_AnalysisModel.GQAM.impl">org.eclipse.papyrus.MARTE.MARTE_AnalysisModel.GQAM.impl</a></td>
<td class="colLast">&nbsp;</td>
</tr>
<tr class="altColor">
<td class="colFirst"><a href="#org.eclipse.papyrus.MARTE.MARTE_AnalysisModel.GQAM.util">org.eclipse.papyrus.MARTE.MARTE_AnalysisModel.GQAM.util</a></td>
<td class="colLast">&nbsp;</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><a href="#org.eclipse.papyrus.MARTE.MARTE_AnalysisModel.PAM">org.eclipse.papyrus.MARTE.MARTE_AnalysisModel.PAM</a></td>
<td class="colLast">&nbsp;</td>
</tr>
<tr class="altColor">
<td class="colFirst"><a href="#org.eclipse.papyrus.MARTE.MARTE_AnalysisModel.PAM.impl">org.eclipse.papyrus.MARTE.MARTE_AnalysisModel.PAM.impl</a></td>
<td class="colLast">&nbsp;</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><a href="#org.eclipse.papyrus.MARTE.MARTE_DesignModel.SRM.SW_Concurrency">org.eclipse.papyrus.MARTE.MARTE_DesignModel.SRM.SW_Concurrency</a></td>
<td class="colLast">&nbsp;</td>
</tr>
<tr class="altColor">
<td class="colFirst"><a href="#org.eclipse.papyrus.MARTE.MARTE_DesignModel.SRM.SW_Concurrency.impl">org.eclipse.papyrus.MARTE.MARTE_DesignModel.SRM.SW_Concurrency.impl</a></td>
<td class="colLast">&nbsp;</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><a href="#org.eclipse.papyrus.MARTE.MARTE_DesignModel.SRM.SW_Concurrency.util">org.eclipse.papyrus.MARTE.MARTE_DesignModel.SRM.SW_Concurrency.util</a></td>
<td class="colLast">&nbsp;</td>
</tr>
<tr class="altColor">
<td class="colFirst"><a href="#org.eclipse.papyrus.MARTE.MARTE_Foundations.GRM">org.eclipse.papyrus.MARTE.MARTE_Foundations.GRM</a></td>
<td class="colLast">&nbsp;</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><a href="#org.eclipse.papyrus.MARTE.MARTE_Foundations.GRM.impl">org.eclipse.papyrus.MARTE.MARTE_Foundations.GRM.impl</a></td>
<td class="colLast">&nbsp;</td>
</tr>
<tr class="altColor">
<td class="colFirst"><a href="#org.eclipse.papyrus.MARTE.MARTE_Foundations.GRM.util">org.eclipse.papyrus.MARTE.MARTE_Foundations.GRM.util</a></td>
<td class="colLast">&nbsp;</td>
</tr>
</tbody>
</table>
</li>
<li class="blockList">
<ul class="blockList">
<li class="blockList"><a name="org.eclipse.papyrus.MARTE.MARTE_AnalysisModel.GQAM">
<!--   -->
</a>
<h3>Uses of <a href="../../../../../../../org/eclipse/papyrus/MARTE/MARTE_Foundations/GRM/SchedulableResource.html" title="interface in org.eclipse.papyrus.MARTE.MARTE_Foundations.GRM">SchedulableResource</a> in <a href="../../../../../../../org/eclipse/papyrus/MARTE/MARTE_AnalysisModel/GQAM/package-summary.html">org.eclipse.papyrus.MARTE.MARTE_AnalysisModel.GQAM</a></h3>
<table class="useSummary" border="0" cellpadding="3" cellspacing="0" summary="Use table, listing subinterfaces, and an explanation">
<caption><span>Subinterfaces of <a href="../../../../../../../org/eclipse/papyrus/MARTE/MARTE_Foundations/GRM/SchedulableResource.html" title="interface in org.eclipse.papyrus.MARTE.MARTE_Foundations.GRM">SchedulableResource</a> in <a href="../../../../../../../org/eclipse/papyrus/MARTE/MARTE_AnalysisModel/GQAM/package-summary.html">org.eclipse.papyrus.MARTE.MARTE_AnalysisModel.GQAM</a></span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colLast" scope="col">Interface and Description</th>
</tr>
<tbody>
<tr class="altColor">
<td class="colFirst"><code>interface&nbsp;</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../../org/eclipse/papyrus/MARTE/MARTE_AnalysisModel/GQAM/GaCommChannel.html" title="interface in org.eclipse.papyrus.MARTE.MARTE_AnalysisModel.GQAM">GaCommChannel</a></span></code>
<div class="block">A representation of the model object '<em><b>Ga Comm Channel</b></em>'.</div>
</td>
</tr>
</tbody>
</table>
<table class="useSummary" border="0" cellpadding="3" cellspacing="0" summary="Use table, listing methods, and an explanation">
<caption><span>Methods in <a href="../../../../../../../org/eclipse/papyrus/MARTE/MARTE_AnalysisModel/GQAM/package-summary.html">org.eclipse.papyrus.MARTE.MARTE_AnalysisModel.GQAM</a> that return <a href="../../../../../../../org/eclipse/papyrus/MARTE/MARTE_Foundations/GRM/SchedulableResource.html" title="interface in org.eclipse.papyrus.MARTE.MARTE_Foundations.GRM">SchedulableResource</a></span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colLast" scope="col">Method and Description</th>
</tr>
<tbody>
<tr class="altColor">
<td class="colFirst"><code><a href="../../../../../../../org/eclipse/papyrus/MARTE/MARTE_Foundations/GRM/SchedulableResource.html" title="interface in org.eclipse.papyrus.MARTE.MARTE_Foundations.GRM">SchedulableResource</a></code></td>
<td class="colLast"><span class="typeNameLabel">GaStep.</span><code><span class="memberNameLink"><a href="../../../../../../../org/eclipse/papyrus/MARTE/MARTE_AnalysisModel/GQAM/GaStep.html#getConcurRes--">getConcurRes</a></span>()</code>
<div class="block">Returns the value of the '<em><b>Concur Res</b></em>' reference.</div>
</td>
</tr>
</tbody>
</table>
<table class="useSummary" border="0" cellpadding="3" cellspacing="0" summary="Use table, listing methods, and an explanation">
<caption><span>Methods in <a href="../../../../../../../org/eclipse/papyrus/MARTE/MARTE_AnalysisModel/GQAM/package-summary.html">org.eclipse.papyrus.MARTE.MARTE_AnalysisModel.GQAM</a> with parameters of type <a href="../../../../../../../org/eclipse/papyrus/MARTE/MARTE_Foundations/GRM/SchedulableResource.html" title="interface in org.eclipse.papyrus.MARTE.MARTE_Foundations.GRM">SchedulableResource</a></span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colLast" scope="col">Method and Description</th>
</tr>
<tbody>
<tr class="altColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><span class="typeNameLabel">GaStep.</span><code><span class="memberNameLink"><a href="../../../../../../../org/eclipse/papyrus/MARTE/MARTE_AnalysisModel/GQAM/GaStep.html#setConcurRes-org.eclipse.papyrus.MARTE.MARTE_Foundations.GRM.SchedulableResource-">setConcurRes</a></span>(<a href="../../../../../../../org/eclipse/papyrus/MARTE/MARTE_Foundations/GRM/SchedulableResource.html" title="interface in org.eclipse.papyrus.MARTE.MARTE_Foundations.GRM">SchedulableResource</a>&nbsp;value)</code>
<div class="block">Sets the value of the '<a href="../../../../../../../org/eclipse/papyrus/MARTE/MARTE_AnalysisModel/GQAM/GaStep.html#getConcurRes--"><code><em>Concur Res</em></code></a>' reference.</div>
</td>
</tr>
</tbody>
</table>
</li>
<li class="blockList"><a name="org.eclipse.papyrus.MARTE.MARTE_AnalysisModel.GQAM.impl">
<!--   -->
</a>
<h3>Uses of <a href="../../../../../../../org/eclipse/papyrus/MARTE/MARTE_Foundations/GRM/SchedulableResource.html" title="interface in org.eclipse.papyrus.MARTE.MARTE_Foundations.GRM">SchedulableResource</a> in <a href="../../../../../../../org/eclipse/papyrus/MARTE/MARTE_AnalysisModel/GQAM/impl/package-summary.html">org.eclipse.papyrus.MARTE.MARTE_AnalysisModel.GQAM.impl</a></h3>
<table class="useSummary" border="0" cellpadding="3" cellspacing="0" summary="Use table, listing classes, and an explanation">
<caption><span>Classes in <a href="../../../../../../../org/eclipse/papyrus/MARTE/MARTE_AnalysisModel/GQAM/impl/package-summary.html">org.eclipse.papyrus.MARTE.MARTE_AnalysisModel.GQAM.impl</a> that implement <a href="../../../../../../../org/eclipse/papyrus/MARTE/MARTE_Foundations/GRM/SchedulableResource.html" title="interface in org.eclipse.papyrus.MARTE.MARTE_Foundations.GRM">SchedulableResource</a></span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colLast" scope="col">Class and Description</th>
</tr>
<tbody>
<tr class="altColor">
<td class="colFirst"><code>class&nbsp;</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../../org/eclipse/papyrus/MARTE/MARTE_AnalysisModel/GQAM/impl/GaCommChannelImpl.html" title="class in org.eclipse.papyrus.MARTE.MARTE_AnalysisModel.GQAM.impl">GaCommChannelImpl</a></span></code>
<div class="block">An implementation of the model object '<em><b>Ga Comm Channel</b></em>'.</div>
</td>
</tr>
</tbody>
</table>
<table class="useSummary" border="0" cellpadding="3" cellspacing="0" summary="Use table, listing fields, and an explanation">
<caption><span>Fields in <a href="../../../../../../../org/eclipse/papyrus/MARTE/MARTE_AnalysisModel/GQAM/impl/package-summary.html">org.eclipse.papyrus.MARTE.MARTE_AnalysisModel.GQAM.impl</a> declared as <a href="../../../../../../../org/eclipse/papyrus/MARTE/MARTE_Foundations/GRM/SchedulableResource.html" title="interface in org.eclipse.papyrus.MARTE.MARTE_Foundations.GRM">SchedulableResource</a></span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colLast" scope="col">Field and Description</th>
</tr>
<tbody>
<tr class="altColor">
<td class="colFirst"><code>protected <a href="../../../../../../../org/eclipse/papyrus/MARTE/MARTE_Foundations/GRM/SchedulableResource.html" title="interface in org.eclipse.papyrus.MARTE.MARTE_Foundations.GRM">SchedulableResource</a></code></td>
<td class="colLast"><span class="typeNameLabel">GaStepImpl.</span><code><span class="memberNameLink"><a href="../../../../../../../org/eclipse/papyrus/MARTE/MARTE_AnalysisModel/GQAM/impl/GaStepImpl.html#concurRes">concurRes</a></span></code>
<div class="block">The cached value of the '<a href="../../../../../../../org/eclipse/papyrus/MARTE/MARTE_AnalysisModel/GQAM/impl/GaStepImpl.html#getConcurRes--"><code><em>Concur Res</em></code></a>' reference.</div>
</td>
</tr>
</tbody>
</table>
<table class="useSummary" border="0" cellpadding="3" cellspacing="0" summary="Use table, listing fields, and an explanation">
<caption><span>Fields in <a href="../../../../../../../org/eclipse/papyrus/MARTE/MARTE_AnalysisModel/GQAM/impl/package-summary.html">org.eclipse.papyrus.MARTE.MARTE_AnalysisModel.GQAM.impl</a> with type parameters of type <a href="../../../../../../../org/eclipse/papyrus/MARTE/MARTE_Foundations/GRM/SchedulableResource.html" title="interface in org.eclipse.papyrus.MARTE.MARTE_Foundations.GRM">SchedulableResource</a></span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colLast" scope="col">Field and Description</th>
</tr>
<tbody>
<tr class="altColor">
<td class="colFirst"><code>protected org.eclipse.emf.common.util.EList&lt;<a href="../../../../../../../org/eclipse/papyrus/MARTE/MARTE_Foundations/GRM/SchedulableResource.html" title="interface in org.eclipse.papyrus.MARTE.MARTE_Foundations.GRM">SchedulableResource</a>&gt;</code></td>
<td class="colLast"><span class="typeNameLabel">GaCommHostImpl.</span><code><span class="memberNameLink"><a href="../../../../../../../org/eclipse/papyrus/MARTE/MARTE_AnalysisModel/GQAM/impl/GaCommHostImpl.html#schedulableResources">schedulableResources</a></span></code>
<div class="block">The cached value of the '<a href="../../../../../../../org/eclipse/papyrus/MARTE/MARTE_AnalysisModel/GQAM/impl/GaCommHostImpl.html#getSchedulableResources--"><code><em>Schedulable Resources</em></code></a>' reference list.</div>
</td>
</tr>
</tbody>
</table>
<table class="useSummary" border="0" cellpadding="3" cellspacing="0" summary="Use table, listing methods, and an explanation">
<caption><span>Methods in <a href="../../../../../../../org/eclipse/papyrus/MARTE/MARTE_AnalysisModel/GQAM/impl/package-summary.html">org.eclipse.papyrus.MARTE.MARTE_AnalysisModel.GQAM.impl</a> that return <a href="../../../../../../../org/eclipse/papyrus/MARTE/MARTE_Foundations/GRM/SchedulableResource.html" title="interface in org.eclipse.papyrus.MARTE.MARTE_Foundations.GRM">SchedulableResource</a></span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colLast" scope="col">Method and Description</th>
</tr>
<tbody>
<tr class="altColor">
<td class="colFirst"><code><a href="../../../../../../../org/eclipse/papyrus/MARTE/MARTE_Foundations/GRM/SchedulableResource.html" title="interface in org.eclipse.papyrus.MARTE.MARTE_Foundations.GRM">SchedulableResource</a></code></td>
<td class="colLast"><span class="typeNameLabel">GaStepImpl.</span><code><span class="memberNameLink"><a href="../../../../../../../org/eclipse/papyrus/MARTE/MARTE_AnalysisModel/GQAM/impl/GaStepImpl.html#basicGetConcurRes--">basicGetConcurRes</a></span>()</code>&nbsp;</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code><a href="../../../../../../../org/eclipse/papyrus/MARTE/MARTE_Foundations/GRM/SchedulableResource.html" title="interface in org.eclipse.papyrus.MARTE.MARTE_Foundations.GRM">SchedulableResource</a></code></td>
<td class="colLast"><span class="typeNameLabel">GaStepImpl.</span><code><span class="memberNameLink"><a href="../../../../../../../org/eclipse/papyrus/MARTE/MARTE_AnalysisModel/GQAM/impl/GaStepImpl.html#getConcurRes--">getConcurRes</a></span>()</code>&nbsp;</td>
</tr>
</tbody>
</table>
<table class="useSummary" border="0" cellpadding="3" cellspacing="0" summary="Use table, listing methods, and an explanation">
<caption><span>Methods in <a href="../../../../../../../org/eclipse/papyrus/MARTE/MARTE_AnalysisModel/GQAM/impl/package-summary.html">org.eclipse.papyrus.MARTE.MARTE_AnalysisModel.GQAM.impl</a> that return types with arguments of type <a href="../../../../../../../org/eclipse/papyrus/MARTE/MARTE_Foundations/GRM/SchedulableResource.html" title="interface in org.eclipse.papyrus.MARTE.MARTE_Foundations.GRM">SchedulableResource</a></span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colLast" scope="col">Method and Description</th>
</tr>
<tbody>
<tr class="altColor">
<td class="colFirst"><code>org.eclipse.emf.common.util.EList&lt;<a href="../../../../../../../org/eclipse/papyrus/MARTE/MARTE_Foundations/GRM/SchedulableResource.html" title="interface in org.eclipse.papyrus.MARTE.MARTE_Foundations.GRM">SchedulableResource</a>&gt;</code></td>
<td class="colLast"><span class="typeNameLabel">GaCommHostImpl.</span><code><span class="memberNameLink"><a href="../../../../../../../org/eclipse/papyrus/MARTE/MARTE_AnalysisModel/GQAM/impl/GaCommHostImpl.html#getSchedulableResources--">getSchedulableResources</a></span>()</code>&nbsp;</td>
</tr>
</tbody>
</table>
<table class="useSummary" border="0" cellpadding="3" cellspacing="0" summary="Use table, listing methods, and an explanation">
<caption><span>Methods in <a href="../../../../../../../org/eclipse/papyrus/MARTE/MARTE_AnalysisModel/GQAM/impl/package-summary.html">org.eclipse.papyrus.MARTE.MARTE_AnalysisModel.GQAM.impl</a> with parameters of type <a href="../../../../../../../org/eclipse/papyrus/MARTE/MARTE_Foundations/GRM/SchedulableResource.html" title="interface in org.eclipse.papyrus.MARTE.MARTE_Foundations.GRM">SchedulableResource</a></span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colLast" scope="col">Method and Description</th>
</tr>
<tbody>
<tr class="altColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><span class="typeNameLabel">GaStepImpl.</span><code><span class="memberNameLink"><a href="../../../../../../../org/eclipse/papyrus/MARTE/MARTE_AnalysisModel/GQAM/impl/GaStepImpl.html#setConcurRes-org.eclipse.papyrus.MARTE.MARTE_Foundations.GRM.SchedulableResource-">setConcurRes</a></span>(<a href="../../../../../../../org/eclipse/papyrus/MARTE/MARTE_Foundations/GRM/SchedulableResource.html" title="interface in org.eclipse.papyrus.MARTE.MARTE_Foundations.GRM">SchedulableResource</a>&nbsp;newConcurRes)</code>&nbsp;</td>
</tr>
</tbody>
</table>
</li>
<li class="blockList"><a name="org.eclipse.papyrus.MARTE.MARTE_AnalysisModel.GQAM.util">
<!--   -->
</a>
<h3>Uses of <a href="../../../../../../../org/eclipse/papyrus/MARTE/MARTE_Foundations/GRM/SchedulableResource.html" title="interface in org.eclipse.papyrus.MARTE.MARTE_Foundations.GRM">SchedulableResource</a> in <a href="../../../../../../../org/eclipse/papyrus/MARTE/MARTE_AnalysisModel/GQAM/util/package-summary.html">org.eclipse.papyrus.MARTE.MARTE_AnalysisModel.GQAM.util</a></h3>
<table class="useSummary" border="0" cellpadding="3" cellspacing="0" summary="Use table, listing methods, and an explanation">
<caption><span>Methods in <a href="../../../../../../../org/eclipse/papyrus/MARTE/MARTE_AnalysisModel/GQAM/util/package-summary.html">org.eclipse.papyrus.MARTE.MARTE_AnalysisModel.GQAM.util</a> with parameters of type <a href="../../../../../../../org/eclipse/papyrus/MARTE/MARTE_Foundations/GRM/SchedulableResource.html" title="interface in org.eclipse.papyrus.MARTE.MARTE_Foundations.GRM">SchedulableResource</a></span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colLast" scope="col">Method and Description</th>
</tr>
<tbody>
<tr class="altColor">
<td class="colFirst"><code><a href="../../../../../../../org/eclipse/papyrus/MARTE/MARTE_AnalysisModel/GQAM/util/GQAMSwitch.html" title="type parameter in GQAMSwitch">T</a></code></td>
<td class="colLast"><span class="typeNameLabel">GQAMSwitch.</span><code><span class="memberNameLink"><a href="../../../../../../../org/eclipse/papyrus/MARTE/MARTE_AnalysisModel/GQAM/util/GQAMSwitch.html#caseSchedulableResource-org.eclipse.papyrus.MARTE.MARTE_Foundations.GRM.SchedulableResource-">caseSchedulableResource</a></span>(<a href="../../../../../../../org/eclipse/papyrus/MARTE/MARTE_Foundations/GRM/SchedulableResource.html" title="interface in org.eclipse.papyrus.MARTE.MARTE_Foundations.GRM">SchedulableResource</a>&nbsp;object)</code>
<div class="block">Returns the result of interpreting the object as an instance of '<em>Schedulable Resource</em>'.</div>
</td>
</tr>
</tbody>
</table>
</li>
<li class="blockList"><a name="org.eclipse.papyrus.MARTE.MARTE_AnalysisModel.PAM">
<!--   -->
</a>
<h3>Uses of <a href="../../../../../../../org/eclipse/papyrus/MARTE/MARTE_Foundations/GRM/SchedulableResource.html" title="interface in org.eclipse.papyrus.MARTE.MARTE_Foundations.GRM">SchedulableResource</a> in <a href="../../../../../../../org/eclipse/papyrus/MARTE/MARTE_AnalysisModel/PAM/package-summary.html">org.eclipse.papyrus.MARTE.MARTE_AnalysisModel.PAM</a></h3>
<table class="useSummary" border="0" cellpadding="3" cellspacing="0" summary="Use table, listing methods, and an explanation">
<caption><span>Methods in <a href="../../../../../../../org/eclipse/papyrus/MARTE/MARTE_AnalysisModel/PAM/package-summary.html">org.eclipse.papyrus.MARTE.MARTE_AnalysisModel.PAM</a> that return <a href="../../../../../../../org/eclipse/papyrus/MARTE/MARTE_Foundations/GRM/SchedulableResource.html" title="interface in org.eclipse.papyrus.MARTE.MARTE_Foundations.GRM">SchedulableResource</a></span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colLast" scope="col">Method and Description</th>
</tr>
<tbody>
<tr class="altColor">
<td class="colFirst"><code><a href="../../../../../../../org/eclipse/papyrus/MARTE/MARTE_Foundations/GRM/SchedulableResource.html" title="interface in org.eclipse.papyrus.MARTE.MARTE_Foundations.GRM">SchedulableResource</a></code></td>
<td class="colLast"><span class="typeNameLabel">PaRunTInstance.</span><code><span class="memberNameLink"><a href="../../../../../../../org/eclipse/papyrus/MARTE/MARTE_AnalysisModel/PAM/PaRunTInstance.html#getInstance--">getInstance</a></span>()</code>
<div class="block">Returns the value of the '<em><b>Instance</b></em>' reference.</div>
</td>
</tr>
</tbody>
</table>
<table class="useSummary" border="0" cellpadding="3" cellspacing="0" summary="Use table, listing methods, and an explanation">
<caption><span>Methods in <a href="../../../../../../../org/eclipse/papyrus/MARTE/MARTE_AnalysisModel/PAM/package-summary.html">org.eclipse.papyrus.MARTE.MARTE_AnalysisModel.PAM</a> with parameters of type <a href="../../../../../../../org/eclipse/papyrus/MARTE/MARTE_Foundations/GRM/SchedulableResource.html" title="interface in org.eclipse.papyrus.MARTE.MARTE_Foundations.GRM">SchedulableResource</a></span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colLast" scope="col">Method and Description</th>
</tr>
<tbody>
<tr class="altColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><span class="typeNameLabel">PaRunTInstance.</span><code><span class="memberNameLink"><a href="../../../../../../../org/eclipse/papyrus/MARTE/MARTE_AnalysisModel/PAM/PaRunTInstance.html#setInstance-org.eclipse.papyrus.MARTE.MARTE_Foundations.GRM.SchedulableResource-">setInstance</a></span>(<a href="../../../../../../../org/eclipse/papyrus/MARTE/MARTE_Foundations/GRM/SchedulableResource.html" title="interface in org.eclipse.papyrus.MARTE.MARTE_Foundations.GRM">SchedulableResource</a>&nbsp;value)</code>
<div class="block">Sets the value of the '<a href="../../../../../../../org/eclipse/papyrus/MARTE/MARTE_AnalysisModel/PAM/PaRunTInstance.html#getInstance--"><code><em>Instance</em></code></a>' reference.</div>
</td>
</tr>
</tbody>
</table>
</li>
<li class="blockList"><a name="org.eclipse.papyrus.MARTE.MARTE_AnalysisModel.PAM.impl">
<!--   -->
</a>
<h3>Uses of <a href="../../../../../../../org/eclipse/papyrus/MARTE/MARTE_Foundations/GRM/SchedulableResource.html" title="interface in org.eclipse.papyrus.MARTE.MARTE_Foundations.GRM">SchedulableResource</a> in <a href="../../../../../../../org/eclipse/papyrus/MARTE/MARTE_AnalysisModel/PAM/impl/package-summary.html">org.eclipse.papyrus.MARTE.MARTE_AnalysisModel.PAM.impl</a></h3>
<table class="useSummary" border="0" cellpadding="3" cellspacing="0" summary="Use table, listing fields, and an explanation">
<caption><span>Fields in <a href="../../../../../../../org/eclipse/papyrus/MARTE/MARTE_AnalysisModel/PAM/impl/package-summary.html">org.eclipse.papyrus.MARTE.MARTE_AnalysisModel.PAM.impl</a> declared as <a href="../../../../../../../org/eclipse/papyrus/MARTE/MARTE_Foundations/GRM/SchedulableResource.html" title="interface in org.eclipse.papyrus.MARTE.MARTE_Foundations.GRM">SchedulableResource</a></span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colLast" scope="col">Field and Description</th>
</tr>
<tbody>
<tr class="altColor">
<td class="colFirst"><code>protected <a href="../../../../../../../org/eclipse/papyrus/MARTE/MARTE_Foundations/GRM/SchedulableResource.html" title="interface in org.eclipse.papyrus.MARTE.MARTE_Foundations.GRM">SchedulableResource</a></code></td>
<td class="colLast"><span class="typeNameLabel">PaRunTInstanceImpl.</span><code><span class="memberNameLink"><a href="../../../../../../../org/eclipse/papyrus/MARTE/MARTE_AnalysisModel/PAM/impl/PaRunTInstanceImpl.html#instance">instance</a></span></code>
<div class="block">The cached value of the '<a href="../../../../../../../org/eclipse/papyrus/MARTE/MARTE_AnalysisModel/PAM/impl/PaRunTInstanceImpl.html#getInstance--"><code><em>Instance</em></code></a>' reference.</div>
</td>
</tr>
</tbody>
</table>
<table class="useSummary" border="0" cellpadding="3" cellspacing="0" summary="Use table, listing methods, and an explanation">
<caption><span>Methods in <a href="../../../../../../../org/eclipse/papyrus/MARTE/MARTE_AnalysisModel/PAM/impl/package-summary.html">org.eclipse.papyrus.MARTE.MARTE_AnalysisModel.PAM.impl</a> that return <a href="../../../../../../../org/eclipse/papyrus/MARTE/MARTE_Foundations/GRM/SchedulableResource.html" title="interface in org.eclipse.papyrus.MARTE.MARTE_Foundations.GRM">SchedulableResource</a></span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colLast" scope="col">Method and Description</th>
</tr>
<tbody>
<tr class="altColor">
<td class="colFirst"><code><a href="../../../../../../../org/eclipse/papyrus/MARTE/MARTE_Foundations/GRM/SchedulableResource.html" title="interface in org.eclipse.papyrus.MARTE.MARTE_Foundations.GRM">SchedulableResource</a></code></td>
<td class="colLast"><span class="typeNameLabel">PaRunTInstanceImpl.</span><code><span class="memberNameLink"><a href="../../../../../../../org/eclipse/papyrus/MARTE/MARTE_AnalysisModel/PAM/impl/PaRunTInstanceImpl.html#basicGetInstance--">basicGetInstance</a></span>()</code>&nbsp;</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code><a href="../../../../../../../org/eclipse/papyrus/MARTE/MARTE_Foundations/GRM/SchedulableResource.html" title="interface in org.eclipse.papyrus.MARTE.MARTE_Foundations.GRM">SchedulableResource</a></code></td>
<td class="colLast"><span class="typeNameLabel">PaRunTInstanceImpl.</span><code><span class="memberNameLink"><a href="../../../../../../../org/eclipse/papyrus/MARTE/MARTE_AnalysisModel/PAM/impl/PaRunTInstanceImpl.html#getInstance--">getInstance</a></span>()</code>&nbsp;</td>
</tr>
</tbody>
</table>
<table class="useSummary" border="0" cellpadding="3" cellspacing="0" summary="Use table, listing methods, and an explanation">
<caption><span>Methods in <a href="../../../../../../../org/eclipse/papyrus/MARTE/MARTE_AnalysisModel/PAM/impl/package-summary.html">org.eclipse.papyrus.MARTE.MARTE_AnalysisModel.PAM.impl</a> with parameters of type <a href="../../../../../../../org/eclipse/papyrus/MARTE/MARTE_Foundations/GRM/SchedulableResource.html" title="interface in org.eclipse.papyrus.MARTE.MARTE_Foundations.GRM">SchedulableResource</a></span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colLast" scope="col">Method and Description</th>
</tr>
<tbody>
<tr class="altColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><span class="typeNameLabel">PaRunTInstanceImpl.</span><code><span class="memberNameLink"><a href="../../../../../../../org/eclipse/papyrus/MARTE/MARTE_AnalysisModel/PAM/impl/PaRunTInstanceImpl.html#setInstance-org.eclipse.papyrus.MARTE.MARTE_Foundations.GRM.SchedulableResource-">setInstance</a></span>(<a href="../../../../../../../org/eclipse/papyrus/MARTE/MARTE_Foundations/GRM/SchedulableResource.html" title="interface in org.eclipse.papyrus.MARTE.MARTE_Foundations.GRM">SchedulableResource</a>&nbsp;newInstance)</code>&nbsp;</td>
</tr>
</tbody>
</table>
</li>
<li class="blockList"><a name="org.eclipse.papyrus.MARTE.MARTE_DesignModel.SRM.SW_Concurrency">
<!--   -->
</a>
<h3>Uses of <a href="../../../../../../../org/eclipse/papyrus/MARTE/MARTE_Foundations/GRM/SchedulableResource.html" title="interface in org.eclipse.papyrus.MARTE.MARTE_Foundations.GRM">SchedulableResource</a> in <a href="../../../../../../../org/eclipse/papyrus/MARTE/MARTE_DesignModel/SRM/SW_Concurrency/package-summary.html">org.eclipse.papyrus.MARTE.MARTE_DesignModel.SRM.SW_Concurrency</a></h3>
<table class="useSummary" border="0" cellpadding="3" cellspacing="0" summary="Use table, listing subinterfaces, and an explanation">
<caption><span>Subinterfaces of <a href="../../../../../../../org/eclipse/papyrus/MARTE/MARTE_Foundations/GRM/SchedulableResource.html" title="interface in org.eclipse.papyrus.MARTE.MARTE_Foundations.GRM">SchedulableResource</a> in <a href="../../../../../../../org/eclipse/papyrus/MARTE/MARTE_DesignModel/SRM/SW_Concurrency/package-summary.html">org.eclipse.papyrus.MARTE.MARTE_DesignModel.SRM.SW_Concurrency</a></span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colLast" scope="col">Interface and Description</th>
</tr>
<tbody>
<tr class="altColor">
<td class="colFirst"><code>interface&nbsp;</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../../org/eclipse/papyrus/MARTE/MARTE_DesignModel/SRM/SW_Concurrency/SwSchedulableResource.html" title="interface in org.eclipse.papyrus.MARTE.MARTE_DesignModel.SRM.SW_Concurrency">SwSchedulableResource</a></span></code>
<div class="block">A representation of the model object '<em><b>Sw Schedulable Resource</b></em>'.</div>
</td>
</tr>
</tbody>
</table>
</li>
<li class="blockList"><a name="org.eclipse.papyrus.MARTE.MARTE_DesignModel.SRM.SW_Concurrency.impl">
<!--   -->
</a>
<h3>Uses of <a href="../../../../../../../org/eclipse/papyrus/MARTE/MARTE_Foundations/GRM/SchedulableResource.html" title="interface in org.eclipse.papyrus.MARTE.MARTE_Foundations.GRM">SchedulableResource</a> in <a href="../../../../../../../org/eclipse/papyrus/MARTE/MARTE_DesignModel/SRM/SW_Concurrency/impl/package-summary.html">org.eclipse.papyrus.MARTE.MARTE_DesignModel.SRM.SW_Concurrency.impl</a></h3>
<table class="useSummary" border="0" cellpadding="3" cellspacing="0" summary="Use table, listing classes, and an explanation">
<caption><span>Classes in <a href="../../../../../../../org/eclipse/papyrus/MARTE/MARTE_DesignModel/SRM/SW_Concurrency/impl/package-summary.html">org.eclipse.papyrus.MARTE.MARTE_DesignModel.SRM.SW_Concurrency.impl</a> that implement <a href="../../../../../../../org/eclipse/papyrus/MARTE/MARTE_Foundations/GRM/SchedulableResource.html" title="interface in org.eclipse.papyrus.MARTE.MARTE_Foundations.GRM">SchedulableResource</a></span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colLast" scope="col">Class and Description</th>
</tr>
<tbody>
<tr class="altColor">
<td class="colFirst"><code>class&nbsp;</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../../org/eclipse/papyrus/MARTE/MARTE_DesignModel/SRM/SW_Concurrency/impl/SwSchedulableResourceImpl.html" title="class in org.eclipse.papyrus.MARTE.MARTE_DesignModel.SRM.SW_Concurrency.impl">SwSchedulableResourceImpl</a></span></code>
<div class="block">An implementation of the model object '<em><b>Sw Schedulable Resource</b></em>'.</div>
</td>
</tr>
</tbody>
</table>
</li>
<li class="blockList"><a name="org.eclipse.papyrus.MARTE.MARTE_DesignModel.SRM.SW_Concurrency.util">
<!--   -->
</a>
<h3>Uses of <a href="../../../../../../../org/eclipse/papyrus/MARTE/MARTE_Foundations/GRM/SchedulableResource.html" title="interface in org.eclipse.papyrus.MARTE.MARTE_Foundations.GRM">SchedulableResource</a> in <a href="../../../../../../../org/eclipse/papyrus/MARTE/MARTE_DesignModel/SRM/SW_Concurrency/util/package-summary.html">org.eclipse.papyrus.MARTE.MARTE_DesignModel.SRM.SW_Concurrency.util</a></h3>
<table class="useSummary" border="0" cellpadding="3" cellspacing="0" summary="Use table, listing methods, and an explanation">
<caption><span>Methods in <a href="../../../../../../../org/eclipse/papyrus/MARTE/MARTE_DesignModel/SRM/SW_Concurrency/util/package-summary.html">org.eclipse.papyrus.MARTE.MARTE_DesignModel.SRM.SW_Concurrency.util</a> with parameters of type <a href="../../../../../../../org/eclipse/papyrus/MARTE/MARTE_Foundations/GRM/SchedulableResource.html" title="interface in org.eclipse.papyrus.MARTE.MARTE_Foundations.GRM">SchedulableResource</a></span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colLast" scope="col">Method and Description</th>
</tr>
<tbody>
<tr class="altColor">
<td class="colFirst"><code><a href="../../../../../../../org/eclipse/papyrus/MARTE/MARTE_DesignModel/SRM/SW_Concurrency/util/SW_ConcurrencySwitch.html" title="type parameter in SW_ConcurrencySwitch">T</a></code></td>
<td class="colLast"><span class="typeNameLabel">SW_ConcurrencySwitch.</span><code><span class="memberNameLink"><a href="../../../../../../../org/eclipse/papyrus/MARTE/MARTE_DesignModel/SRM/SW_Concurrency/util/SW_ConcurrencySwitch.html#caseSchedulableResource-org.eclipse.papyrus.MARTE.MARTE_Foundations.GRM.SchedulableResource-">caseSchedulableResource</a></span>(<a href="../../../../../../../org/eclipse/papyrus/MARTE/MARTE_Foundations/GRM/SchedulableResource.html" title="interface in org.eclipse.papyrus.MARTE.MARTE_Foundations.GRM">SchedulableResource</a>&nbsp;object)</code>
<div class="block">Returns the result of interpreting the object as an instance of '<em>Schedulable Resource</em>'.</div>
</td>
</tr>
</tbody>
</table>
</li>
<li class="blockList"><a name="org.eclipse.papyrus.MARTE.MARTE_Foundations.GRM">
<!--   -->
</a>
<h3>Uses of <a href="../../../../../../../org/eclipse/papyrus/MARTE/MARTE_Foundations/GRM/SchedulableResource.html" title="interface in org.eclipse.papyrus.MARTE.MARTE_Foundations.GRM">SchedulableResource</a> in <a href="../../../../../../../org/eclipse/papyrus/MARTE/MARTE_Foundations/GRM/package-summary.html">org.eclipse.papyrus.MARTE.MARTE_Foundations.GRM</a></h3>
<table class="useSummary" border="0" cellpadding="3" cellspacing="0" summary="Use table, listing methods, and an explanation">
<caption><span>Methods in <a href="../../../../../../../org/eclipse/papyrus/MARTE/MARTE_Foundations/GRM/package-summary.html">org.eclipse.papyrus.MARTE.MARTE_Foundations.GRM</a> that return <a href="../../../../../../../org/eclipse/papyrus/MARTE/MARTE_Foundations/GRM/SchedulableResource.html" title="interface in org.eclipse.papyrus.MARTE.MARTE_Foundations.GRM">SchedulableResource</a></span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colLast" scope="col">Method and Description</th>
</tr>
<tbody>
<tr class="altColor">
<td class="colFirst"><code><a href="../../../../../../../org/eclipse/papyrus/MARTE/MARTE_Foundations/GRM/SchedulableResource.html" title="interface in org.eclipse.papyrus.MARTE.MARTE_Foundations.GRM">SchedulableResource</a></code></td>
<td class="colLast"><span class="typeNameLabel">GRMFactory.</span><code><span class="memberNameLink"><a href="../../../../../../../org/eclipse/papyrus/MARTE/MARTE_Foundations/GRM/GRMFactory.html#createSchedulableResource--">createSchedulableResource</a></span>()</code>
<div class="block">Returns a new object of class '<em>Schedulable Resource</em>'.</div>
</td>
</tr>
</tbody>
</table>
<table class="useSummary" border="0" cellpadding="3" cellspacing="0" summary="Use table, listing methods, and an explanation">
<caption><span>Methods in <a href="../../../../../../../org/eclipse/papyrus/MARTE/MARTE_Foundations/GRM/package-summary.html">org.eclipse.papyrus.MARTE.MARTE_Foundations.GRM</a> that return types with arguments of type <a href="../../../../../../../org/eclipse/papyrus/MARTE/MARTE_Foundations/GRM/SchedulableResource.html" title="interface in org.eclipse.papyrus.MARTE.MARTE_Foundations.GRM">SchedulableResource</a></span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colLast" scope="col">Method and Description</th>
</tr>
<tbody>
<tr class="altColor">
<td class="colFirst"><code>org.eclipse.emf.common.util.EList&lt;<a href="../../../../../../../org/eclipse/papyrus/MARTE/MARTE_Foundations/GRM/SchedulableResource.html" title="interface in org.eclipse.papyrus.MARTE.MARTE_Foundations.GRM">SchedulableResource</a>&gt;</code></td>
<td class="colLast"><span class="typeNameLabel">Scheduler.</span><code><span class="memberNameLink"><a href="../../../../../../../org/eclipse/papyrus/MARTE/MARTE_Foundations/GRM/Scheduler.html#getSchedulableResources--">getSchedulableResources</a></span>()</code>
<div class="block">Returns the value of the '<em><b>Schedulable Resources</b></em>' reference list.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>org.eclipse.emf.common.util.EList&lt;<a href="../../../../../../../org/eclipse/papyrus/MARTE/MARTE_Foundations/GRM/SchedulableResource.html" title="interface in org.eclipse.papyrus.MARTE.MARTE_Foundations.GRM">SchedulableResource</a>&gt;</code></td>
<td class="colLast"><span class="typeNameLabel">SecondaryScheduler.</span><code><span class="memberNameLink"><a href="../../../../../../../org/eclipse/papyrus/MARTE/MARTE_Foundations/GRM/SecondaryScheduler.html#getVirtualProcessingUnits--">getVirtualProcessingUnits</a></span>()</code>
<div class="block">Returns the value of the '<em><b>Virtual Processing Units</b></em>' reference list.</div>
</td>
</tr>
</tbody>
</table>
</li>
<li class="blockList"><a name="org.eclipse.papyrus.MARTE.MARTE_Foundations.GRM.impl">
<!--   -->
</a>
<h3>Uses of <a href="../../../../../../../org/eclipse/papyrus/MARTE/MARTE_Foundations/GRM/SchedulableResource.html" title="interface in org.eclipse.papyrus.MARTE.MARTE_Foundations.GRM">SchedulableResource</a> in <a href="../../../../../../../org/eclipse/papyrus/MARTE/MARTE_Foundations/GRM/impl/package-summary.html">org.eclipse.papyrus.MARTE.MARTE_Foundations.GRM.impl</a></h3>
<table class="useSummary" border="0" cellpadding="3" cellspacing="0" summary="Use table, listing classes, and an explanation">
<caption><span>Classes in <a href="../../../../../../../org/eclipse/papyrus/MARTE/MARTE_Foundations/GRM/impl/package-summary.html">org.eclipse.papyrus.MARTE.MARTE_Foundations.GRM.impl</a> that implement <a href="../../../../../../../org/eclipse/papyrus/MARTE/MARTE_Foundations/GRM/SchedulableResource.html" title="interface in org.eclipse.papyrus.MARTE.MARTE_Foundations.GRM">SchedulableResource</a></span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colLast" scope="col">Class and Description</th>
</tr>
<tbody>
<tr class="altColor">
<td class="colFirst"><code>class&nbsp;</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../../org/eclipse/papyrus/MARTE/MARTE_Foundations/GRM/impl/SchedulableResourceImpl.html" title="class in org.eclipse.papyrus.MARTE.MARTE_Foundations.GRM.impl">SchedulableResourceImpl</a></span></code>
<div class="block">An implementation of the model object '<em><b>Schedulable Resource</b></em>'.</div>
</td>
</tr>
</tbody>
</table>
<table class="useSummary" border="0" cellpadding="3" cellspacing="0" summary="Use table, listing fields, and an explanation">
<caption><span>Fields in <a href="../../../../../../../org/eclipse/papyrus/MARTE/MARTE_Foundations/GRM/impl/package-summary.html">org.eclipse.papyrus.MARTE.MARTE_Foundations.GRM.impl</a> with type parameters of type <a href="../../../../../../../org/eclipse/papyrus/MARTE/MARTE_Foundations/GRM/SchedulableResource.html" title="interface in org.eclipse.papyrus.MARTE.MARTE_Foundations.GRM">SchedulableResource</a></span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colLast" scope="col">Field and Description</th>
</tr>
<tbody>
<tr class="altColor">
<td class="colFirst"><code>protected org.eclipse.emf.common.util.EList&lt;<a href="../../../../../../../org/eclipse/papyrus/MARTE/MARTE_Foundations/GRM/SchedulableResource.html" title="interface in org.eclipse.papyrus.MARTE.MARTE_Foundations.GRM">SchedulableResource</a>&gt;</code></td>
<td class="colLast"><span class="typeNameLabel">SchedulerImpl.</span><code><span class="memberNameLink"><a href="../../../../../../../org/eclipse/papyrus/MARTE/MARTE_Foundations/GRM/impl/SchedulerImpl.html#schedulableResources">schedulableResources</a></span></code>
<div class="block">The cached value of the '<a href="../../../../../../../org/eclipse/papyrus/MARTE/MARTE_Foundations/GRM/impl/SchedulerImpl.html#getSchedulableResources--"><code><em>Schedulable Resources</em></code></a>' reference list.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>protected org.eclipse.emf.common.util.EList&lt;<a href="../../../../../../../org/eclipse/papyrus/MARTE/MARTE_Foundations/GRM/SchedulableResource.html" title="interface in org.eclipse.papyrus.MARTE.MARTE_Foundations.GRM">SchedulableResource</a>&gt;</code></td>
<td class="colLast"><span class="typeNameLabel">SecondarySchedulerImpl.</span><code><span class="memberNameLink"><a href="../../../../../../../org/eclipse/papyrus/MARTE/MARTE_Foundations/GRM/impl/SecondarySchedulerImpl.html#virtualProcessingUnits">virtualProcessingUnits</a></span></code>
<div class="block">The cached value of the '<a href="../../../../../../../org/eclipse/papyrus/MARTE/MARTE_Foundations/GRM/impl/SecondarySchedulerImpl.html#getVirtualProcessingUnits--"><code><em>Virtual Processing Units</em></code></a>' reference list.</div>
</td>
</tr>
</tbody>
</table>
<table class="useSummary" border="0" cellpadding="3" cellspacing="0" summary="Use table, listing methods, and an explanation">
<caption><span>Methods in <a href="../../../../../../../org/eclipse/papyrus/MARTE/MARTE_Foundations/GRM/impl/package-summary.html">org.eclipse.papyrus.MARTE.MARTE_Foundations.GRM.impl</a> that return <a href="../../../../../../../org/eclipse/papyrus/MARTE/MARTE_Foundations/GRM/SchedulableResource.html" title="interface in org.eclipse.papyrus.MARTE.MARTE_Foundations.GRM">SchedulableResource</a></span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colLast" scope="col">Method and Description</th>
</tr>
<tbody>
<tr class="altColor">
<td class="colFirst"><code><a href="../../../../../../../org/eclipse/papyrus/MARTE/MARTE_Foundations/GRM/SchedulableResource.html" title="interface in org.eclipse.papyrus.MARTE.MARTE_Foundations.GRM">SchedulableResource</a></code></td>
<td class="colLast"><span class="typeNameLabel">GRMFactoryImpl.</span><code><span class="memberNameLink"><a href="../../../../../../../org/eclipse/papyrus/MARTE/MARTE_Foundations/GRM/impl/GRMFactoryImpl.html#createSchedulableResource--">createSchedulableResource</a></span>()</code>&nbsp;</td>
</tr>
</tbody>
</table>
<table class="useSummary" border="0" cellpadding="3" cellspacing="0" summary="Use table, listing methods, and an explanation">
<caption><span>Methods in <a href="../../../../../../../org/eclipse/papyrus/MARTE/MARTE_Foundations/GRM/impl/package-summary.html">org.eclipse.papyrus.MARTE.MARTE_Foundations.GRM.impl</a> that return types with arguments of type <a href="../../../../../../../org/eclipse/papyrus/MARTE/MARTE_Foundations/GRM/SchedulableResource.html" title="interface in org.eclipse.papyrus.MARTE.MARTE_Foundations.GRM">SchedulableResource</a></span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colLast" scope="col">Method and Description</th>
</tr>
<tbody>
<tr class="altColor">
<td class="colFirst"><code>org.eclipse.emf.common.util.EList&lt;<a href="../../../../../../../org/eclipse/papyrus/MARTE/MARTE_Foundations/GRM/SchedulableResource.html" title="interface in org.eclipse.papyrus.MARTE.MARTE_Foundations.GRM">SchedulableResource</a>&gt;</code></td>
<td class="colLast"><span class="typeNameLabel">SchedulerImpl.</span><code><span class="memberNameLink"><a href="../../../../../../../org/eclipse/papyrus/MARTE/MARTE_Foundations/GRM/impl/SchedulerImpl.html#getSchedulableResources--">getSchedulableResources</a></span>()</code>&nbsp;</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>org.eclipse.emf.common.util.EList&lt;<a href="../../../../../../../org/eclipse/papyrus/MARTE/MARTE_Foundations/GRM/SchedulableResource.html" title="interface in org.eclipse.papyrus.MARTE.MARTE_Foundations.GRM">SchedulableResource</a>&gt;</code></td>
<td class="colLast"><span class="typeNameLabel">SecondarySchedulerImpl.</span><code><span class="memberNameLink"><a href="../../../../../../../org/eclipse/papyrus/MARTE/MARTE_Foundations/GRM/impl/SecondarySchedulerImpl.html#getVirtualProcessingUnits--">getVirtualProcessingUnits</a></span>()</code>&nbsp;</td>
</tr>
</tbody>
</table>
</li>
<li class="blockList"><a name="org.eclipse.papyrus.MARTE.MARTE_Foundations.GRM.util">
<!--   -->
</a>
<h3>Uses of <a href="../../../../../../../org/eclipse/papyrus/MARTE/MARTE_Foundations/GRM/SchedulableResource.html" title="interface in org.eclipse.papyrus.MARTE.MARTE_Foundations.GRM">SchedulableResource</a> in <a href="../../../../../../../org/eclipse/papyrus/MARTE/MARTE_Foundations/GRM/util/package-summary.html">org.eclipse.papyrus.MARTE.MARTE_Foundations.GRM.util</a></h3>
<table class="useSummary" border="0" cellpadding="3" cellspacing="0" summary="Use table, listing methods, and an explanation">
<caption><span>Methods in <a href="../../../../../../../org/eclipse/papyrus/MARTE/MARTE_Foundations/GRM/util/package-summary.html">org.eclipse.papyrus.MARTE.MARTE_Foundations.GRM.util</a> with parameters of type <a href="../../../../../../../org/eclipse/papyrus/MARTE/MARTE_Foundations/GRM/SchedulableResource.html" title="interface in org.eclipse.papyrus.MARTE.MARTE_Foundations.GRM">SchedulableResource</a></span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colLast" scope="col">Method and Description</th>
</tr>
<tbody>
<tr class="altColor">
<td class="colFirst"><code><a href="../../../../../../../org/eclipse/papyrus/MARTE/MARTE_Foundations/GRM/util/GRMSwitch.html" title="type parameter in GRMSwitch">T</a></code></td>
<td class="colLast"><span class="typeNameLabel">GRMSwitch.</span><code><span class="memberNameLink"><a href="../../../../../../../org/eclipse/papyrus/MARTE/MARTE_Foundations/GRM/util/GRMSwitch.html#caseSchedulableResource-org.eclipse.papyrus.MARTE.MARTE_Foundations.GRM.SchedulableResource-">caseSchedulableResource</a></span>(<a href="../../../../../../../org/eclipse/papyrus/MARTE/MARTE_Foundations/GRM/SchedulableResource.html" title="interface in org.eclipse.papyrus.MARTE.MARTE_Foundations.GRM">SchedulableResource</a>&nbsp;object)</code>
<div class="block">Returns the result of interpreting the object as an instance of '<em>Schedulable Resource</em>'.</div>
</td>
</tr>
</tbody>
</table>
</li>
</ul>
</li>
</ul>
</div>
<!-- ======= START OF BOTTOM NAVBAR ====== -->
<div class="bottomNav"><a name="navbar.bottom">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.bottom" title="Skip navigation links">Skip navigation links</a></div>
<a name="navbar.bottom.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../../../../../../overview-summary.html">Overview</a></li>
<li><a href="../package-summary.html">Package</a></li>
<li><a href="../../../../../../../org/eclipse/papyrus/MARTE/MARTE_Foundations/GRM/SchedulableResource.html" title="interface in org.eclipse.papyrus.MARTE.MARTE_Foundations.GRM">Class</a></li>
<li class="navBarCell1Rev">Use</li>
<li><a href="../package-tree.html">Tree</a></li>
<li><a href="../../../../../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../../../../../index-all.html">Index</a></li>
<li><a href="../../../../../../../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li>Prev</li>
<li>Next</li>
</ul>
<ul class="navList">
<li><a href="../../../../../../../index.html?org/eclipse/papyrus/MARTE/MARTE_Foundations/GRM/class-use/SchedulableResource.html" target="_top">Frames</a></li>
<li><a href="SchedulableResource.html" target="_top">No&nbsp;Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_bottom">
<li><a href="../../../../../../../allclasses-noframe.html">All&nbsp;Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_bottom");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<a name="skip.navbar.bottom">
<!--   -->
</a></div>
<!-- ======== END OF BOTTOM NAVBAR ======= -->
<p class="legalCopy"><small>Copyright &#169; 2017 <a href="https://www.eclipse.org/">Eclipse foundation</a>. All rights reserved.</small></p>
</body>
</html>
